scripts: merge tweak files

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
pull/8/head
Robert Nelson 14 years ago
parent bdca15c857
commit d727222702

@ -429,7 +429,17 @@ fi
#exit #exit
cd ${TEMPDIR}/initrd-tree/ cd ${TEMPDIR}/initrd-tree/
sudo patch -p1 < ${DIR}/scripts/${DIST}-tweaks.diff case "$DIST" in
maverick)
sudo patch -p1 < ${DIR}/scripts/ubuntu-tweaks.diff
;;
natty)
sudo patch -p1 < ${DIR}/scripts/ubuntu-tweaks.diff
;;
squeeze)
sudo patch -p1 < ${DIR}/scripts/debian-tweaks.diff
;;
esac
cd ${DIR}/ cd ${DIR}/
case "$DIST" in case "$DIST" in

@ -3,7 +3,7 @@ new file mode 100755
index 0000000..6d06fc7 index 0000000..6d06fc7
--- /dev/null --- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap +++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,40 @@ @@ -0,0 +1,44 @@
+#!/bin/sh -e +#!/bin/sh -e
+cp /etc/e2fsck.conf /target/etc/e2fsck.conf +cp /etc/e2fsck.conf /target/etc/e2fsck.conf
+ +
@ -15,20 +15,14 @@ index 0000000..6d06fc7
+ rm -f /tmp/mmc/boot.scr || true + rm -f /tmp/mmc/boot.scr || true
+ rm -f /tmp/mmc/uInitrd.net || true + rm -f /tmp/mmc/uInitrd.net || true
+ +
+ #install deb and create uInitrd + #Install kernel image deb
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/ + LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true + rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
+ chroot /target update-initramfs -c -k `uname -r`
+ chroot /target mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uInitrd
+ cp /target/boot/uInitrd /tmp/mmc/uInitrd
+ +
+ #Setup for final install + #Use the final boot files
+ mv /tmp/mmc/user.scr /tmp/mmc/boot.scr + mv /tmp/mmc/user.scr /tmp/mmc/boot.scr
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage + mv /tmp/mmc/uImage.net /tmp/mmc/uImage
+ +
+ sync
+ umount /tmp/mmc
+
+ mkdir -p /target/boot/uboot + mkdir -p /target/boot/uboot
+ echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab + echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab
+ +
@ -42,5 +36,15 @@ index 0000000..6d06fc7
+ cp -r /lib/firmware/ /target/lib/ + cp -r /lib/firmware/ /target/lib/
+ +
+ rm -f /etc/rcn.conf + rm -f /etc/rcn.conf
+
+ #Generate new initrd.img-*
+ mount -o bind /sys /target/sys
+ chroot /target update-initramfs -c -k `uname -r`
+ chroot /target mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uInitrd
+ cp /target/boot/uInitrd /tmp/mmc/uInitrd
+ umount /target/sys
+
+ sync
+ umount /tmp/mmc
+fi +fi
+ +

@ -1,49 +0,0 @@
diff --git a/usr/lib/finish-install.d/08rcn-omap b/usr/lib/finish-install.d/08rcn-omap
new file mode 100755
index 0000000..6d06fc7
--- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,43 @@
+#!/bin/sh -e
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
+cp /etc/ttyO2.conf /target/etc/init/ttyO2.conf
+
+if [ -e /etc/rcn.conf ]; then
+ mkdir -p /tmp/mmc
+ mount /dev/mmcblk0p1 /tmp/mmc
+
+ #Remove NetInstall bits
+ rm -f /tmp/mmc/boot.scr || true
+ rm -f /tmp/mmc/uInitrd.net || true
+
+ #Cleanup Ubuntu's mess
+ rm -f /tmp/mmc/uInitrd || true
+ rm -f /tmp/mmc/uInitrd.bak || true
+ rm -f /tmp/mmc/uImage || true
+ rm -f /tmp/mmc/uImage.bak || true
+
+ #install deb and create uInitrd
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
+ chroot /target update-initramfs -c -k `uname -r`
+ chroot /target mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uInitrd
+ cp /target/boot/uInitrd /tmp/mmc/uInitrd
+
+ #Setup for final install
+ mv /tmp/mmc/user.scr /tmp/mmc/boot.scr
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage
+
+ sync
+ umount /tmp/mmc
+
+ mkdir -p /target/boot/uboot
+ echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab
+
+ #smsc95xx kevent workaround/hack
+ echo "vm.min_free_kbytes = 8192" >> /target/etc/sysctl.conf
+
+ cp -r /lib/firmware/ /target/lib/
+
+ rm -f /etc/rcn.conf
+fi
+

@ -22,11 +22,11 @@ index 0000000..6d06fc7
+ rm -f /tmp/mmc/uImage || true + rm -f /tmp/mmc/uImage || true
+ rm -f /tmp/mmc/uImage.bak || true + rm -f /tmp/mmc/uImage.bak || true
+ +
+ #install deb and create uInitrd + #Install kernel image deb
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/ + LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true + rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
+ +
+ #Setup for final install + #Use the final boot files
+ mv /tmp/mmc/user.scr /tmp/mmc/boot.scr + mv /tmp/mmc/user.scr /tmp/mmc/boot.scr
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage + mv /tmp/mmc/uImage.net /tmp/mmc/uImage
+ +
@ -40,6 +40,7 @@ index 0000000..6d06fc7
+ +
+ rm -f /etc/rcn.conf + rm -f /etc/rcn.conf
+ +
+ #Generate new initrd.img-*
+ mount -o bind /sys /target/sys + mount -o bind /sys /target/sys
+ chroot /target update-initramfs -c -k `uname -r` + chroot /target update-initramfs -c -k `uname -r`
+ chroot /target mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uInitrd + chroot /target mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uInitrd
Loading…
Cancel
Save